## koffice 2.2.2

=== karbon/CMakeLists.txt ===
project(karbon)


#Set the correct compiler options
IF(CMAKE_SIZEOF_VOID_P EQUAL 4)
   # 32 bit
   MESSAGE(STATUS "Karbon detected that you use a 32 bit processor.")
ELSE(CMAKE_SIZEOF_VOID_P EQUAL 4)
   # 64 bit (well, anything else than 32 bit, but someone use something else than 32 or 64 bit ?)
   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
   MESSAGE(STATUS "Karbon detected that you use a 64 bit processor. Added -fPIC to the CXX_FLAGS.")
ENDIF(CMAKE_SIZEOF_VOID_P EQUAL 4)


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-karbon.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-karbon.h )

include_directories(
    ${QT_INCLUDES} 
    ${KDE4_INCLUDE_DIR} 
    ${FLAKE_INCLUDES}
    ${KOTEXT_INCLUDES}
    ${KOMAIN_INCLUDES}
    ${CMAKE_SOURCE_DIR}/libs/widgets/resources
    ${CMAKE_SOURCE_DIR}/libs/widgets/colorwidgets
    ${CMAKE_SOURCE_DIR}/karbon/ui
    ${CMAKE_SOURCE_DIR}/karbon/common
    ${CMAKE_SOURCE_DIR}/karbon/common/commands
)

add_subdirectory( common )
add_subdirectory( ui )
add_subdirectory( plugins )
add_subdirectory( data )
add_subdirectory( pics )
add_subdirectory( templates )

########### next target ###############

set(karbonpart_PART_SRCS karbon_factory_init.cc )

kde4_add_plugin(karbonpart WITH_PREFIX ${karbonpart_PART_SRCS})

target_link_libraries(karbonpart karbonui)

install(TARGETS karbonpart  DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set(karbon_KDEINIT_SRCS main.cc )

kde4_add_app_icon( karbon_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/hi*-app-karbon.png" )
kde4_add_kdeinit_executable( karbon ${karbon_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.karbon")
   set_target_properties(karbon PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Karbon 2")
endif (Q_WS_MAC)

target_link_libraries(kdeinit_karbon karbonui)

install(TARGETS kdeinit_karbon  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries(karbon kdeinit_karbon)
install(TARGETS karbon  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== kexi/CMakeLists.txt ===
project(kexi)

SET(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

IF(EXISTS ${CMAKE_SOURCE_DIR}/kexi/CMakeSettings.txt)
  INCLUDE(${CMAKE_SOURCE_DIR}/kexi/CMakeSettings.txt)
ENDIF(EXISTS ${CMAKE_SOURCE_DIR}/kexi/CMakeSettings.txt)

ADD_DEFINITIONS(
  -DKEXI_NO_CURSOR_PROPERTY 
  -DKEXI_NO_CTXT_HELP
  -DKEXI_NO_SUBFORM
  -DKEXI_DB_COMBOBOX_WIDGET
  -DDB_TEMPLATES
  -DKEXI_NO_UNFINISHED
  -DKEXI_SCRIPTS_SUPPORT
# temporary for 2.2:
  -DKEXI_NO_AUTOFIELD_WIDGET
  -DKEXI_NO_FORM_LAYOUTS
  -DKEXI_NO_FORM_SPRING_ELEMENT
  -DKEXI_NO_OBJECTTREEVIEW
)

#no default: add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44010)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kexi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kexi.h )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${KOMAIN_INCLUDES}
  ${KOPROPERTY_INCLUDES}
  ${CMAKE_SOURCE_DIR}/libs
)

add_definitions(-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

add_subdirectory( kexiutils )
add_subdirectory( kexidb )
add_subdirectory( core )
add_subdirectory( widget )
add_subdirectory( formeditor )

if(WITH_WEBFORMS)
  macro_optional_find_package(PionNet)
  macro_log_feature(PionNet_FOUND "Pion Network Library" "C++ development library for implementing lightweight HTTP interfaces" "http://www.pion.org/projects/pion-network-library" FALSE "" "Required by Kexi Web Forms")

  macro_optional_find_package(GoogleCtemplate)
  macro_log_feature(GOOGLE_CTEMPLATE_FOUND "Google Ctemplate" "Simple but powerful template language for C++" "http://code.google.com/p/google-ctemplate/" FALSE "" "Required by Kexi Web Forms")
  
  macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" FALSE "" "Required by Kexi Web Forms")

  if(GOOGLE_CTEMPLATE_FOUND AND Boost_FOUND AND PionNet_FOUND)
    set(WITH_WEBFORMS TRUE CACHE STRING "Build with Kexi Web Forms support")
    add_definitions(-DKEXIWEBFORMS_SUPPORTED)
    message(STATUS "Kexi Web Forms support enabled.")
    macro_optional_add_subdirectory(webforms)
  else(GOOGLE_CTEMPLATE_FOUND AND Boost_FOUND AND PionNet_FOUND)
    set(WITH_WEBFORMS FALSE CACHE STRING "Build with Kexi Web Forms support")
    message(STATUS "Kexi Web Forms support DISABLED, one of the following libraries is missing:")
    message(STATUS "- Google CTemplate")
    message(STATUS "- Boost")
    message(STATUS "- Pion Network Library")
  endif(GOOGLE_CTEMPLATE_FOUND AND Boost_FOUND AND PionNet_FOUND)
else(WITH_WEBFORMS)
  set(WITH_WEBFORMS FALSE CACHE STRING "Build with Kexi Web Forms support")
endif(WITH_WEBFORMS)

add_subdirectory( data )
add_subdirectory( pics )

add_subdirectory( main )

add_subdirectory( migration )
add_subdirectory( plugins )
add_subdirectory( tests )

add_subdirectory(shapes)

########### next target ###############

set(kexi_SRCS main.cpp )
kde4_add_app_icon(kexi_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/kexi.png")
kde4_add_executable(kexi ${kexi_SRCS})
target_link_libraries(kexi 
  ${KDE4_KFILE_LIBS} ${QT_QT3SUPPORT_LIBRARY}
  kexidb
  keximain
)
install(TARGETS kexi ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES kexi.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

#kde4_create_doxygen_docs( EXCLUDE 3rdparty kexidb/parser/sqlparser.h kexidb/drivers/odbc  )

=== kformula/CMakeLists.txt ===
project(kformula)

set(KFORMULA_INCLUDES
    ${CMAKE_SOURCE_DIR}/kformula
    ${CMAKE_SOURCE_DIR}/kformula/flake
    ${KOMAIN_INCLUDES}     
    )

include_directories(${KFORMULA_INCLUDES})

add_subdirectory( pics )
add_subdirectory( flake )

########### next target ###############

set(kformulaprivate_LIB_SRCS
   KFormulaPartDocument.cpp 
   KFormulaPartView.cpp 
   KFormulaPartViewAdaptor.cpp
   KFormulaPartFactory.cpp 
   KFormulaCanvas.cpp 
   KFormulaConfigDialog.cpp )
	
kde4_add_library(kformulaprivate SHARED ${kformulaprivate_LIB_SRCS})

target_link_libraries(kformulaprivate kformulalib)

set_target_properties(kformulaprivate PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION} )


install(TARGETS kformulaprivate ${INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

set(kformulapart_PART_SRCS KFormulaPartFactoryInit.cpp )


kde4_add_plugin(kformulapart WITH_PREFIX ${kformulapart_PART_SRCS})

target_link_libraries(kformulapart ${KDE4_KPARTS_LIBS} kformulaprivate)

install(TARGETS kformulapart  DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set(kformula_KDEINIT_SRCS main.cpp )

kde4_add_app_icon(kformula_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/hi*-app-kformula.png")

kde4_add_kdeinit_executable( kformula_bin ${kformula_KDEINIT_SRCS})

target_link_libraries(kdeinit_kformula_bin komain )

#install(TARGETS kdeinit_kformula_bin  ${INSTALL_TARGETS_DEFAULT_ARGS})

set_target_properties(kdeinit_kformula_bin PROPERTIES OUTPUT_NAME kdeinit_kformula)

target_link_libraries( kformula_bin kdeinit_kformula_bin )
set_target_properties( kformula_bin PROPERTIES OUTPUT_NAME kformula)

# install(TARGETS kformula_bin  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES  tips  DESTINATION ${DATA_INSTALL_DIR}/kformula)
install( FILES  kformulapart.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES  kformula.rc kformula_readonly.rc  DESTINATION ${DATA_INSTALL_DIR}/kformula)
# install( FILES  kformula.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== krita/CMakeLists.txt ===
project(krita)


# turn on QImage as buffer for QPainter based canvas
add_definitions(-DINDEPENDENT_CANVAS)

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS_KRITADEVS "-O2 -g" CACHE STRING "" FORCE)
endif(CMAKE_COMPILER_IS_GNUCXX)

include(CheckFunctionExists)

macro_optional_find_package(GLEW)
macro_bool_to_01(GLEW_FOUND HAVE_GLEW)
configure_file(config-glew.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-glew.h )
macro_log_feature(HAVE_GLEW "GLEW" "The OpenGL Extension Wrangler Library" "http://glew.sourceforge.net" FALSE "" "Required by the Krita shader filter plugin")

if(HAVE_GLEW)
        message(STATUS "GLEW found!")
else(HAVE_GLEW)
        message(STATUS "GLEW NOT found - krita will not be able to use OpenGL shaders")
endif(HAVE_GLEW)
if(HAVE_OPENGL)
    message(STATUS "OpenGL found -- krita will be able  to use OpenGL for hardware accelerated rendering.")
else(HAVE_OPENGL)
    message(STATUS "OpenGL NOT found - krita will not be able to use OpenGL for hardware accelerated rendering.")
endif(HAVE_OPENGL)

if(UNIX)
    set(CMAKE_REQUIRED_LIBRARIES "${CMAKE_REQUIRED_LIBRARIES};m")
endif(UNIX)

check_function_exists(powf HAVE_POWF)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-powf.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-powf.h)

set(LINK_OPENEXR_LIB)
if(OPENEXR_FOUND)
    include_directories(${OPENEXR_INCLUDE_DIR})
    set(LINK_OPENEXR_LIB ${OPENEXR_LIBRARIES})
    add_definitions(${OPENEXR_DEFINITIONS})
endif(OPENEXR_FOUND)

if(WIN32)
    if(MSVC)
        # C4522: 'class' : multiple assignment operators specified
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -wd4522")
    endif(MSVC)
endif(WIN32)

set(KRITA_INCLUDES
    # For config-*.h
    ${CMAKE_CURRENT_BINARY_DIR}

    ${CMAKE_SOURCE_DIR}/krita/image
    ${CMAKE_SOURCE_DIR}/krita/image/brushengine
    ${CMAKE_SOURCE_DIR}/krita/image/tiles
    ${CMAKE_SOURCE_DIR}/krita/ui
    ${CMAKE_SOURCE_DIR}/krita/ui/canvas
    ${CMAKE_SOURCE_DIR}/krita/ui/tool
    ${CMAKE_SOURCE_DIR}/krita/ui/flake
    ${CMAKE_SOURCE_DIR}/krita/ui/widgets

    # For generated files from .ui
    ${CMAKE_BINARY_DIR}/krita/ui
    
    ${PIGMENT_INCLUDES}
    ${KOTEXT_INCLUDES}
    ${KOMAIN_INCLUDES}
    ${CMAKE_SOURCE_DIR}/libs/widgets/resources
    ${CMAKE_SOURCE_DIR}/libs/widgets/colorwidgets
    
    ${EIGEN2_INCLUDE_DIR}
    
    # 'Export' this for use by filters
    CACHE INTERNAL ""
)

include_directories(${KRITA_INCLUDES})

if(HAVE_OPENGL)
    include_directories(${OPENGL_INCLUDE_DIR})
    if(HAVE_GLEW)
        include_directories(${GLEW_INCLUDE_DIR})
    endif(HAVE_GLEW)
endif(HAVE_OPENGL)

add_subdirectory( image )
add_subdirectory( ui )
add_subdirectory( dtd )
add_subdirectory( plugins )
add_subdirectory( data )
add_subdirectory( pics )
add_subdirectory( benchmarks )

set(kritapart_PART_SRCS krita_part_init.cc)
kde4_add_plugin(kritapart WITH_PREFIX ${kritapart_PART_SRCS})
target_link_libraries(kritapart kritaui)
install(TARGETS kritapart DESTINATION ${PLUGIN_INSTALL_DIR})

set(krita_KDEINIT_SRCS main.cc)
kde4_add_app_icon(krita_KDEINIT_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/krita.png")
kde4_add_kdeinit_executable(krita ${krita_KDEINIT_SRCS})

if (Q_WS_MAC)
    set_target_properties(krita PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
    set_target_properties(krita PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.krita")
    set_target_properties(krita PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Krita 2")
endif (Q_WS_MAC)

target_link_libraries(kdeinit_krita kritaui)
target_link_libraries(krita ${QT_QTCORE_LIBRARY} kdeinit_krita)

install(TARGETS krita ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS kdeinit_krita ${INSTALL_TARGETS_DEFAULT_ARGS})
install( FILES  krita.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES  kritapart.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES  krita.rc krita_readonly.rc  DESTINATION ${DATA_INSTALL_DIR}/krita)

=== kspread/CMakeLists.txt ===
project(kspread)

add_subdirectory( data )
add_subdirectory( shape )
add_subdirectory( tests )
add_subdirectory( plugins )
add_subdirectory( dtd )
add_subdirectory( functions )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/tests
                     ${CMAKE_CURRENT_SOURCE_DIR}/ui
                     ${CMAKE_SOURCE_DIR}/interfaces
                     ${CMAKE_SOURCE_DIR}/kchart
                     ${KOMAIN_INCLUDES}
                     ${KOTEXT_INCLUDES}
                     ${EIGEN2_INCLUDE_DIR} )

########### next target ###############
SET (chart_DIR_SRCS
	chart/ChartDatabaseSelectorFactory.cpp
	chart/ChartDatabaseSelector.cpp
	chart/ChartDialog.cpp
	)

kde4_add_ui_files(chart_DIR_SRCS
	chart/ChartDatabaseSelector.ui
	)

SET (commands_DIR_SRCS
	commands/AbstractRegionCommand.cpp
	commands/ApplyFilterCommand.cpp
	commands/AutoFillCommand.cpp
	commands/AutoFilterCommand.cpp
	commands/AutoFormatCommand.cpp
	commands/BorderColorCommand.cpp
	commands/CommentCommand.cpp
	commands/ConditionCommand.cpp
	commands/CSVDataCommand.cpp
	commands/DataManipulators.cpp
	commands/DeleteCommand.cpp
	commands/IndentationCommand.cpp
	commands/LinkCommand.cpp
	commands/MergeCommand.cpp
	commands/NamedAreaCommand.cpp
	commands/PrecisionCommand.cpp
	commands/RowColumnManipulators.cpp
	commands/SheetCommands.cpp
	commands/SortManipulator.cpp
	commands/SpellCheckCommand.cpp
	commands/StyleCommand.cpp
	commands/Undo.cpp
	commands/ValidityCommand.cpp
	)

SET (database_DIR_SRCS
	database/Database.cpp
	database/DatabaseManager.cpp
	database/DatabaseSource.cpp
	database/DatabaseSourceQuery.cpp
	database/DatabaseSourceSql.cpp
	database/DatabaseSourceTable.cpp
	database/Filter.cpp
	database/FilterPopup.cpp
	)

SET (dialogs_DIR_SRCS
	dialogs/AddNamedAreaDialog.cpp
	dialogs/AngleDialog.cpp
	dialogs/AutoFormatDialog.cpp
	dialogs/CommentDialog.cpp
	dialogs/ConditionalDialog.cpp
	dialogs/ConsolidateDialog.cpp
	dialogs/CSVDialog.cpp
	dialogs/DatabaseDialog.cpp
	dialogs/DocumentSettingsDialog.cpp
	dialogs/FindDialog.cpp
	dialogs/FormulaDialog.cpp
	dialogs/GoalSeekDialog.cpp
	dialogs/GotoDialog.cpp
	dialogs/InsertDialog.cpp
	dialogs/LayoutDialog.cpp
	dialogs/LinkDialog.cpp
	dialogs/ListDialog.cpp
	dialogs/NamedAreaDialog.cpp
	dialogs/PasteInsertDialog.cpp
	dialogs/Resize2Dialog.cpp
	dialogs/SeriesDialog.cpp
	dialogs/ShowDialog.cpp
	dialogs/ShowColRowDialog.cpp
	dialogs/SortDialog.cpp
	dialogs/SpecialPasteDialog.cpp
	dialogs/StyleManagerDialog.cpp
	dialogs/SubtotalDialog.cpp
	dialogs/ValidityDialog.cpp
	)


kde4_add_ui_files(dialogs_DIR_SRCS
	dialogs/FontWidget.ui
	dialogs/PositionWidget.ui
	dialogs/ProtectionWidget.ui
	dialogs/SpecialPasteWidget.ui
	dialogs/SubtotalWidget.ui
	)

SET (functions_DIR_SRCS
	functions/helper.cpp
	)

SET (interfaces_DIR_SRCS
	interfaces/MapAdaptor.cpp
	interfaces/ReadOnlyRegionModel.cpp
	interfaces/ReadOnlyTableModel.cpp
	interfaces/ReadWriteTableModel.cpp
	interfaces/SheetAdaptor.cpp
	interfaces/ViewAdaptor.cpp
	)

SET (part_DIR_SRCS
	part/Canvas.cpp
	part/CellTool.cpp
	part/CellToolFactory.cpp
	part/Digest.cpp
	part/Doc.cpp
	part/Factory.cpp
	part/Headers.cpp
	part/PrintJob.cpp
	part/PrintManager.cpp
	part/ToolRegistry.cpp
	part/TabBar.cpp
	part/View.cpp
	part/commands/DefinePrintRangeCommand.cpp
	part/commands/PageLayoutCommand.cpp
	part/dialogs/PageLayoutDialog.cpp
	part/dialogs/PreferenceDialog.cpp
	part/dialogs/SheetPropertiesDialog.cpp
	part/dialogs/SheetSelectPage.cpp
)

kde4_add_ui_files(part_DIR_SRCS
	part/dialogs/FileOptionsWidget.ui
	part/dialogs/InterfaceOptionsWidget.ui
	part/dialogs/PageLayoutSheetPage.ui
	part/dialogs/SheetPropertiesWidget.ui
	part/dialogs/SheetSelectWidget.ui
)

SET (ui_DIR_SRCS
	ui/AbstractSelectionStrategy.cpp
	ui/AutoFillStrategy.cpp
	ui/CellToolBase.cpp
	ui/CellToolBase_p.cpp
	ui/CellView.cpp
	ui/DragAndDropStrategy.cpp
	ui/Editors.cpp
	ui/HyperlinkStrategy.cpp
	ui/MergeStrategy.cpp
	ui/PasteStrategy.cpp
	ui/SelectionStrategy.cpp
	ui/SheetView.cpp
	ui/CharSelectDia.cpp
	)

SET (kspreadcommon_LIB_SRCS
	ApplicationSettings.cpp
	Binding.cpp
	BindingManager.cpp
	CalculationSettings.cpp
	Cell.cpp
	CellStorage.cpp
	Cluster.cpp
	Condition.cpp
	Currency.cpp
	Damages.cpp
	DependencyManager.cpp
	Format.cpp
	Formula.cpp
	FunctionModule.cpp
	FunctionModuleRegistry.cpp
	Functions.cpp
	GenValidationStyle.cpp
	Localization.cpp
	Map.cpp
    SheetAccessModel.cpp
	NamedAreaManager.cpp
	Number.cpp
	PageManager.cpp
	PrintSettings.cpp
	RecalcManager.cpp
	Region.cpp
	RowColumnFormat.cpp
	Selection.cpp
	ShapeApplicationData.cpp
	Sheet.cpp
	SheetPrint.cpp
	RectStorage.cpp
	Style.cpp
	StyleManager.cpp
	StyleStorage.cpp
	Util.cpp
	Validity.cpp
	Value.cpp
	ValueCalc.cpp
	ValueConverter.cpp
	ValueFormatter.cpp
	ValueParser.cpp
	tests/inspector.cpp
	${chart_DIR_SRCS}
	${commands_DIR_SRCS}
	${database_DIR_SRCS}
	${dialogs_DIR_SRCS}
	${functions_DIR_SRCS}
	${interfaces_DIR_SRCS}
	${part_DIR_SRCS}
	${ui_DIR_SRCS}
	)

kde4_add_library(kspreadcommon SHARED ${kspreadcommon_LIB_SRCS})

target_link_libraries(kspreadcommon
    komain
    ${QT_QTSQL_LIBRARY}
    ${KDE4_KNOTIFYCONFIG_LIBS}
    ${KDE4_KUTILS_LIBS}
#    ${KDE4_KDE3SUPPORT_LIBS}
)

target_link_libraries(kspreadcommon LINK_INTERFACE_LIBRARIES komain )

set_target_properties(kspreadcommon PROPERTIES
    VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION}
)
install(TARGETS kspreadcommon  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

SET (kspreadpart_PART_SRCS part/Factory_init.cpp )

kde4_add_plugin(kspreadpart WITH_PREFIX ${kspreadpart_PART_SRCS})



target_link_libraries(kspreadpart kspreadcommon )

install(TARGETS kspreadpart  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

SET (kspread_KDEINIT_SRCS part/Main.cpp )

kde4_add_app_icon(kspread_KDEINIT_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/data/pics/hi*-app-kspread.png")

kde4_add_kdeinit_executable( kspread ${kspread_KDEINIT_SRCS})

if (Q_WS_MAC)
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.koffice.kspread")
   set_target_properties(kspread PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KSpread 2")
endif (Q_WS_MAC)

target_link_libraries(kdeinit_kspread komain )

install(TARGETS kdeinit_kspread  ${INSTALL_TARGETS_DEFAULT_ARGS})

target_link_libraries( kspread kdeinit_kspread )
install(TARGETS kspread  ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES  kspread.rc kspread_readonly.rc kspread.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kspread)
install( FILES  kspreadpart.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES  kspread.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install( FILES  kspread.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES  kspread_plugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install( FILES  kspreadrc DESTINATION ${CONFIG_INSTALL_DIR})

=== plugins/CMakeLists.txt ===
if(MSVC)
  # avoid "cannot open file 'LIBC.lib'" error
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /NODEFAULTLIB:LIBC.LIB")
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:LIBC.LIB")
endif(MSVC)


include_directories(
        ${KOMAIN_INCLUDES}
)

IF (NOT TINY)
    macro_optional_add_subdirectory( scan )
    macro_optional_add_subdirectory( colorengines )
    macro_optional_add_subdirectory( paragraphtool )
    macro_optional_add_subdirectory( musicshape )
    macro_optional_add_subdirectory( divineProportion )

    macro_optional_find_package(Spnav)
    macro_log_feature(SPNAV_FOUND "Spnav" "3Dconnexion device driver and SDK" "http://spacenav.sourceforge.net/" FALSE "" "Required by SpaceNavigator 3D mouse plugin")

    IF (SPNAV_FOUND)
        macro_optional_add_subdirectory( spacenavigator )
    ENDIF (SPNAV_FOUND)
    macro_optional_add_subdirectory( artistictextshape )
    macro_optional_add_subdirectory( dockers )
    macro_optional_add_subdirectory( textediting )
    macro_optional_add_subdirectory( simpletexteditor )
ENDIF (NOT TINY)
add_subdirectory( variables )
add_subdirectory( defaultTools )
add_subdirectory( pathshapes )
add_subdirectory( pictureshape )
add_subdirectory( videoshape )
add_subdirectory( textshape )

# as the vector shape depends on filters subdir (not really intuitive) lets allow disabling
macro_optional_add_subdirectory( vectorshape )

=== filters/karbon/CMakeLists.txt ===
set(SHAPES_SOURCES
    ${CMAKE_SOURCE_DIR}/plugins/pathshapes/ellipse/EllipseShape.cpp
    ${CMAKE_SOURCE_DIR}/plugins/pathshapes/rectangle/RectangleShape.cpp
    ${CMAKE_SOURCE_DIR}/plugins/pathshapes/star/StarShape.cpp
    ${CMAKE_SOURCE_DIR}/plugins/pictureshape/PictureShape.cpp
    ${CMAKE_SOURCE_DIR}/plugins/artistictextshape/ArtisticTextShape.cpp
    ${CMAKE_SOURCE_DIR}/plugins/artistictextshape/ArtisticTextShapeLoadingUpdater.cpp)


include_directories(
        ${KOTEXT_INCLUDES}
        ${KOMAIN_INCLUDES}
        ${FLAKE_INCLUDES}
        ${CMAKE_SOURCE_DIR}/karbon
        ${CMAKE_SOURCE_DIR}/karbon/common
        ${CMAKE_SOURCE_DIR}/karbon/ui
        ${CMAKE_BINARY_DIR}/karbon
        ${KDE4_INCLUDES}
        ${CMAKE_SOURCE_DIR}/plugins/ )

macro_optional_find_package(WPD)
macro_optional_find_package(WPG)
macro_log_feature(LIBWPG_FOUND "WPG" "WordPerfect Graphics Library" "http://libwpg.sourceforge.net/" FALSE "" "Required by the Karbon WPG import filter")
macro_optional_find_package(Poppler)
macro_log_feature( POPPLER_FOUND "poppler-qt4" "The Poppler Qt4 interface library" "http://poppler.freedesktop.org" FALSE "" "Required by the Karbon PDF import filter")

add_subdirectory( png )
add_subdirectory( svg )
if (WPD_FOUND AND LIBWPG_FOUND)
  add_subdirectory( wpg )
endif (WPD_FOUND AND LIBWPG_FOUND)
add_subdirectory( wmf )
add_subdirectory( karbon1.x )
add_subdirectory( eps )
if (POPPLER_FOUND)
    add_subdirectory( pdf )
endif (POPPLER_FOUND)

# enable again when these filters are ported
message(STATUS "Karbon: still need to port: applixgraphics, ai, kontour, xcf, xaml, xfig, msod and oodraw filters")

if(FALSE)
add_subdirectory( ai )
add_subdirectory( kontour )
add_subdirectory( xcf )
add_subdirectory( msod )
add_subdirectory( oodraw )
endif(FALSE)

=== filters/kword/CMakeLists.txt ===
# check whether we can compile wv2

macro_optional_find_package(GObject)
macro_log_feature(GOBJECT_FOUND "GObject" "GObject" "http://www.gtk.org/" FALSE "" "Required by the msword .doc filter")

macro_optional_find_package(GLIB2)
macro_log_feature(GLIB2_FOUND "Glib2" "Glib2" "http://www.gtk.org/" FALSE "" "Required by the msword .doc filter")

macro_optional_find_package(LIBGSF)
macro_log_feature(LIBGSF_FOUND "libgsf" "LibGSF" "ftp://ftp.gnome.org/pub/GNOME/sources/libgsf" FALSE "" "Required by the msword .doc filter")

macro_optional_find_package(Iconv)
macro_log_feature(ICONV_FOUND "Iconv" "Iconv" "http://www.gnu.org/software/libiconv/" FALSE "" "Required by the msword .doc filter")
IF( ICONV_FOUND )
    SET( HAVE_ICONV_H 1 )
    SET( ICONV_REQUIRES_CONST ${ICONV_SECOND_ARGUMENT_IS_CONST} )
ENDIF( ICONV_FOUND )

#
# Iconv checks for wv2
# 

INCLUDE( CheckIncludeFile )

CHECK_INCLUDE_FILE( sys/iconv.h HAVE_SYS_ICONV_H )

# Add "COMPILE_DEFINITIONS definitions" to TRY_RUN only if we have compile definitions

# Make sure ICONV_COMPILE_DEFINITIONS will never be empty (in case we define neither HAVE_ICONV_H nor HAVE_SYS_ICONV_H),
# otherwise TRY_RUN will fail due to COMPILE_DEFINITIONS being followed by nothing

SET( ICONV_COMPILE_DEFINITIONS "-DBLAH" )

IF( HAVE_ICONV_H )
  SET( ICONV_COMPILE_DEFINITIONS ${ICONV_COMPILE_DEFINITIONS} "-DHAVE_ICONV_H" )
ENDIF( HAVE_ICONV_H )

IF( HAVE_SYS_ICONV_H )
  SET( ICONV_COMPILE_DEFINITIONS ${ICONV_COMPILE_DEFINITIONS} "-DHAVE_SYS_ICONV_H" )
ENDIF( HAVE_SYS_ICONV_H )

TRY_RUN( MODERN_ICONV_RUN MODERN_ICONV_COMPILE ${CMAKE_CURRENT_BINARY_DIR}/CMakeTmp ${CMAKE_SOURCE_DIR}/cmake/TestModernIconv.c COMPILE_DEFINITIONS ${ICONV_COMPILE_DEFINITIONS} )

IF( MODERN_ICONV_RUN GREATER 0 OR NOT MODERN_ICONV_COMPILE )
  MESSAGE( STATUS "wv2 depends on a modern iconv installation, supporting UNICODELITTLE and" )
  MESSAGE( STATUS "UNICODEBIG. The detected iconv version doesn't support these conversions." )
  MESSAGE( STATUS "" )
  MESSAGE( STATUS "Please get a new libiconv from http://www.gnu.org/software/libiconv/" )
  MESSAGE( STATUS "You might want to install the library to some alternative directory, in" )
  MESSAGE( STATUS "order not to overwrite your current installation. Please use the options" )
  MESSAGE( STATUS "-DICONV_INCLUDE_DIR=DIR and -DICONV_LIBRARIES=DIR to specify the location." )
  MESSAGE( STATUS "" )
  set(ICONV_FOUND FALSE)
ENDIF( MODERN_ICONV_RUN GREATER 0 OR NOT MODERN_ICONV_COMPILE )


include_directories(${CMAKE_SOURCE_DIR}/filters/kword/libexport ${KOMAIN_INCLUDES} )

add_subdirectory( libexport )

if (NOT TINY)

    macro_optional_find_package(WPD)
    macro_log_feature(WPD_FOUND "WPD" "WordPerfect Document Library" "http://libwpd.sourceforge.net/" FALSE "" "Required by the KWord WPD import filter")
    
    add_subdirectory( abiword )
    add_subdirectory( amipro )
    add_subdirectory( applixword )
    add_subdirectory( docbook )

    #html FIXME: export dialog is Qt 3 version ui file
    if(NOT WIN32 AND NOT QT_MAC_USE_COCOA)
        add_subdirectory( html )
#        if (TARGET kowmf)
#            add_subdirectory( mswrite )
#        endif (TARGET kowmf)
        add_subdirectory( kword1.3 )
        add_subdirectory( hancomword )
        message(STATUS "When latex is reactivated (if?) also port it to GraphicsMagick, to make life easy for Isaac.")
        #add_subdirectory( latex )
    endif(NOT WIN32 AND NOT QT_MAC_USE_COCOA)

    add_subdirectory( oowriter )
    add_subdirectory( palmdoc )
    add_subdirectory( wml )

    if(WPD_FOUND)
    	add_subdirectory( wordperfect )
    endif(WPD_FOUND)
    
endif (NOT TINY)

add_subdirectory( ascii )
add_subdirectory( rtf )

if(GLIB2_FOUND AND GOBJECT_FOUND AND ICONV_FOUND AND LIBGSF_FOUND)
	add_subdirectory(msword-odf)
endif(GLIB2_FOUND AND GOBJECT_FOUND AND ICONV_FOUND AND LIBGSF_FOUND)

add_subdirectory( docx )

=== kchart/shape/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/kchart
                     ${CMAKE_SOURCE_DIR}/kchart/kdchart/include
                     ${CMAKE_SOURCE_DIR}/interfaces
                     ${CMAKE_SOURCE_DIR}/kchart/shape/dialogs
                     ${KOMAIN_INCLUDES}
)

########### Flake Plugin library ###############

SET (chartshape_LIB_SRCS
    KDChartConvertions.cpp
    Axis.cpp
    DataSet.cpp
    CellRegion.cpp
    CellRegionStringValidator.cpp
    ChartTableModel.cpp
    Legend.cpp
    TextLabelDummy.cpp
    PlotArea.cpp
    ChartProxyModel.cpp
    KDChartModel.cpp
    Surface.cpp
    ThreeDScene.cpp
    ThreeDTransformation.cpp
    ChartDocument.cpp
    ChartShape.cpp
    ChartTool.cpp
    ChartToolFactory.cpp
    ChartConfigWidget.cpp
    ChartTableView.cpp
    ScreenConversions.cpp
    dialogs/TableEditorDialog.cpp
    dialogs/NewAxisDialog.cpp
    dialogs/AxisScalingDialog.cpp
    dialogs/CellRegionDialog.cpp
    ../commands/ChartTypeCommand.cpp
)

kde4_add_ui_files(chartshape_LIB_SRCS
    ChartConfigWidget.ui
    dialogs/ChartTableEditor.ui
    dialogs/NewAxisDialog.ui
    dialogs/AxisScalingDialog.ui
    dialogs/CellRegionDialog.ui
)

kde4_add_library(chartshapelib SHARED ${chartshape_LIB_SRCS})
target_link_libraries(chartshapelib kdchart komain)
set_target_properties(chartshapelib PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION} )

install(TARGETS chartshapelib ${INSTALL_TARGETS_DEFAULT_ARGS})

kde4_add_plugin(chartshape ChartShapeFactory.cpp )
target_link_libraries(chartshape chartshapelib kdchart flake)
install(TARGETS chartshape DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES chartshape.desktop DESTINATION ${SERVICES_INSTALL_DIR})
kde4_install_icons( ${DATA_INSTALL_DIR}/koffice/icons )

=== kexi/formeditor/CMakeLists.txt ===
add_subdirectory( factories )

include_directories( ${CMAKE_SOURCE_DIR}/kexi/widget ${CMAKE_SOURCE_DIR}/kexi/widget/utils ${CMAKE_SOURCE_DIR}/kexi/widget/tableview ${CMAKE_SOURCE_DIR}/kexi/core ${CMAKE_SOURCE_DIR}/kexi ${KOMAIN_INCLUDES} ${CMAKE_SOURCE_DIR}/libs ${KDE4_INCLUDES}  )

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44010)

# Disable list widget because we need to replace it with QTreeWidget 
# which uses very different API compared to Q3ListView.
# todo: re-add QTreeWidget?
add_definitions(-DKEXI_FORMS_NO_LIST_WIDGET)

########### next target ###############

set(kformdesigner_LIB_SRCS 
   container.cpp
   resizehandle.cpp
   widgetfactory.cpp
   widgetlibrary.cpp
   WidgetInfo.cpp
   libactionwidget.cpp
   form.cpp
   objecttree.cpp
   formIO.cpp
   FormWidget.cpp
   FormWidgetInterface.cpp
   objecttreeview.cpp
#todo   spring.cpp
   commands.cpp
   events.cpp
   richtextdialog.cpp
   tabstopdialog.cpp
#KEXI_FORMS_NO_LIST_WIDGET:   editlistviewdialog.cpp
   utils.cpp
#todo   kfdpixmapedit.cpp
   widgetwithsubpropertiesinterface.cpp
   kexiformeventhandler.cpp # from libkexiformutils
   kexiactionselectiondialog.cpp # from libkexiformutils
)

set(kformdesigner_LIBS
  ${KOPROPERTY_LIBS}
  kexiutils
  kexicore
  kexiextendedwidgets
  ${KDE4_KDE3SUPPORT_LIBS}
  ${KDE4_KPARTS_LIBS}
)

# enable to add signal/slot connections
# set(KFD_SIGSLOTS true)

if(KFD_SIGSLOTS)
  ADD_DEFINITIONS( 
    -DKFD_SIGSLOTS=1
  )
  list(APPEND kformdesigner_LIB_SRCS connectiondialog.cpp)
  list(APPEND kformdesigner_LIBS kexiextendedwidgets kexidatatable)
endif(KFD_SIGSLOTS)

kde4_add_library(kformdesigner SHARED ${kformdesigner_LIB_SRCS})

target_link_libraries(kformdesigner ${kformdesigner_LIBS})

set_target_properties(kformdesigner PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_SOVERSION} )
install(TARGETS kformdesigner  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( FILES
  FormWidget.h
  FormWidgetInterface.h
  objecttree.h
  objecttreeview.h
  widgetfactory.h
  WidgetInfo.h
  widgetlibrary.h
  widgetwithsubpropertiesinterface.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/kexi/forms COMPONENT Devel
)

install( FILES
  widgetfactory.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

=== kexi/plugins/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44021)

add_subdirectory( tables )
add_subdirectory( queries )
add_subdirectory( forms )
add_subdirectory( migration )
add_subdirectory( importexport )

if(BUILD_koreport AND SHOULD_BUILD_KOREPORT)
    add_subdirectory( reports )
else(BUILD_koreport AND SHOULD_BUILD_KOREPORT)
    message(STATUS "WARNING: Kexi reports plugin will not be built because KoReport component is not available.")
endif(BUILD_koreport AND SHOULD_BUILD_KOREPORT)

if(SHOULD_BUILD_SCRIPTING)
    add_subdirectory(scripting)
endif(SHOULD_BUILD_SCRIPTING)

#TODO add_subdirectory( relations )
#TODO add_subdirectory(macros)

=== kexi/widget/CMakeLists.txt ===
add_subdirectory( utils )
add_subdirectory( tableview )
add_subdirectory( relations )

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44023)

include_directories( ${CMAKE_SOURCE_DIR}/kexi ${CMAKE_SOURCE_DIR}/kexi/widget/tableview ${CMAKE_SOURCE_DIR}/kexi/core ${KOMAIN_INCLUDES} ${CMAKE_SOURCE_DIR}/libs ${KDE4_INCLUDES}  )


########### next target ###############

set(kexiextendedwidgets_LIB_SRCS 
   kexidataawareview.cpp 
   kexidatatable.cpp 
   kexiquerydesignersqleditor.cpp 
   kexiqueryparameters.cpp
   kexisectionheader.cpp 
#   pixmapcollection.cpp 
   kexiscrollview.cpp 
   kexidbconnectionwidget.cpp 
   kexidbdrivercombobox.cpp 
   kexieditor.cpp 
   kexifieldlistview.cpp 
   kexifieldcombobox.cpp 
   kexidatasourcecombobox.cpp 
   KexiObjectInfoLabel.cpp
   KexiPropertyPaneViewBase.cpp
   KexiPropertyEditorView.cpp
   kexicustompropertyfactory.cpp 
   kexicustompropertyfactory_p.cpp 
   kexicharencodingcombobox.cpp
   kexiprjtypeselector.cpp
   KexiProjectListView.cpp 
   KexiProjectListViewItem.cpp 
)


kde4_add_ui_files(kexiextendedwidgets_LIB_SRCS
  kexiprjtypeselector.ui
  kexidbconnectionwidget.ui
  kexidbconnectionwidgetdetails.ui
)

kde4_add_library(kexiextendedwidgets SHARED ${kexiextendedwidgets_LIB_SRCS})

target_link_libraries(
    kexiextendedwidgets
    kexiutils
    kexiguiutils
    kexidatatable
    kexicore
    ktexteditor
    kexidb
    ${KOPROPERTY_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDE3SUPPORT_LIBS}
    ${QT_QT3SUPPORT_LIBRARY}
    )

set_target_properties(kexiextendedwidgets PROPERTIES VERSION ${GENERIC_KOFFICE_LIB_VERSION} SOVERSION ${GENERIC_KOFFICE_LIB_VERSION} )
install(TARGETS kexiextendedwidgets  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############






#original Makefile.am contents follow:

#include $(top_srcdir)/kexi/Makefile.global
#
#lib_LTLIBRARIES = libkexiextendedwidgets.la
#libkexiextendedwidgets_la_SOURCES = kexidataawareview.cpp \
#	kexidatatable.cpp kexidatatableview.cpp \
#	kexiquerydesignersqleditor.cpp  \
#	kexisectionheader.cpp pixmapcollection.cpp \
#	kexiscrollview.cpp kexidbconnectionwidgetbase.ui kexidbconnectionwidget.cpp \
#	kexidbconnectionwidgetdetailsbase.ui kexidbdrivercombobox.cpp \
#	kexieditor.cpp \
#	kexifieldlistview.cpp kexifieldcombobox.cpp kexidatasourcecombobox.cpp \
#	kexipropertyeditorview.cpp kexismalltoolbutton.cpp \
#	kexicustompropertyfactory.cpp kexicustompropertyfactory_p.cpp \
#	kexicharencodingcombobox.cpp
#
#libkexiextendedwidgets_la_LDFLAGS = $(all_libraries) $(VER_INFO) -Wnounresolved
#libkexiextendedwidgets_la_LIBADD = $(LIB_KDEUI) ./utils/libkexiguiutils.la tableview/libkexidatatable.la ../core/libkexicore.la -lktexteditor
#
#SUBDIRS = utils tableview .  relations
#
## kde_appsdir         Where your application's menu entry (.desktop) should go to.
## kde_icondir         Where your icon should go to - better use KDE_ICON.
## kde_sounddir        Where your sounds should go to.
## kde_htmldir         Where your docs should go to. (contains lang subdirs)
## kde_datadir         Where you install application data. (Use a subdir)
## kde_locale          Where translation files should go to. (contains lang subdirs)
## kde_cgidir          Where cgi-bin executables should go to.
## kde_confdir         Where config files should go to (system-wide ones with default values).
## kde_mimedir         Where mimetypes .desktop files should go to.
## kde_servicesdir     Where services .desktop files should go to.
## kde_servicetypesdir Where servicetypes .desktop files should go to.
## kde_toolbardir      Where general toolbar icons should go to (deprecated, use KDE_ICON).
## kde_wallpaperdir    Where general wallpapers should go to.
## kde_templatesdir    Where templates for the "New" menu (Konqueror/KDesktop) should go to.
## kde_bindir          Where executables should go to. Use bin_PROGRAMS or bin_SCRIPTS.
## kde_libdir          Where shared libraries should go to. Use lib_LTLIBRARIES.
## kde_moduledir       Where modules (e.g. parts) should go to. Use kde_module_LTLIBRARIES.
## kde_styledir        Where Qt/KDE widget styles should go to (new in KDE 3).
## kde_designerdir     Where Qt Designer plugins should go to (new in KDE 3).
#
## set the include path for X, qt and KDE - all_includes must remain last!
#INCLUDES = -I$(top_srcdir)/kexi -I$(top_srcdir)/kexi/widget/tableview \
#	$(LIB_KEXI_KMDI_INCLUDES) \
#	-I$(top_srcdir)/kexi/core \
#	-I$(top_srcdir)/lib/komain -I$(top_srcdir)/lib $(all_includes)
#
#METASOURCES = AUTO
#

=== debian/changelog ===
koffice (1:2.2.2-0ubuntu3~lucid1) lucid-backports; urgency=low

  * Lucid backport
    - Downgrade version of KDE build-depends to 4.4.2
    - Change build-depend libkdcraw-dev to libkdcraw8-dev
    - Downgrade version of pkg-kde-tools to 0.6.4ubuntu5
    - Downgrade version of libgmm-dev to 3.0+svn758845-0ubuntu1
    - Remove librcps-dev and opengtl-dev build-depends, not available in Lucid
    - Update krita.install, krita-data.install and kplato.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Sep 2010 10:09:23 +0100

koffice (1:2.2.2-0ubuntu3) maverick; urgency=low

  * Add kubuntu_03_fix-crash-on-closing-sqlite-connection-2.2.2.diff and
    kubuntu_04_support-large-memo-values-for-msaccess-2.2.2.diff as
    recommended by upstream http://kexi-
    project.org/wiki/wikiview/index.php@Kexi2.2_Patches.html#sqlite_stab
    ility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Sep 2010 15:36:35 +0100

koffice (1:2.2.2-0ubuntu2) maverick; urgency=low

  * Add kubuntu_01_arm_needs_qreal.diff to fix assumed qreal=double
    Allows succesful compilation on armel (LP: #625204)

 -- Emmet Hikory <persia@ubuntu.com>  Sun, 19 Sep 2010 20:16:58 +0900

koffice (1:2.2.2-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@ubuntu.com>  Sun, 22 Aug 2010 04:50:34 +0530

koffice (1:2.2.1-0ubuntu2) maverick; urgency=low

  * Remove build-depend libopenjpeg-dev, openjpeg failed MIR
    - Update krita.install
  
 -- Christian Mangold <neversfelde@ubuntu.com>  Tue, 06 Jul 2010 22:47:03 +0200

koffice (1:2.2.1-0ubuntu1) maverick; urgency=low

  [ Christian Mangold ]
  * New upstream bugfix release
    - Remove kubuntu_01_kpluginselector_compile.diff and 
      kubuntu_03_file_copy_fixes.diff, went upstream 
    - Update krita.install, krita-data.install and
      koffice-libs.install

  [ Jonathan Riddell ]
  * Move ttf-lyx to suggests from koffice-libs recommends, not in main

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Jul 2010 21:37:34 +0100

koffice (1:2.2.0-1~pre1ubuntu3) maverick; urgency=low

  * krita-data replaces krita for all versions under 1:2.2.0-1~pre1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 01 Jul 2010 10:58:02 -0400

koffice (1:2.2.0-1~pre1ubuntu2) maverick; urgency=low

  * Build with libgmm-dev not libgmm++-dev, that's the version in main

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Jun 2010 15:23:22 +0100

koffice (1:2.2.0-1~pre1ubuntu1) maverick; urgency=low

  * Merge with Debian, remaining changes:
   - Add build-deps on librcps-dev, opengtl-dev, libqtgtl-dev, freetds-dev,
     create-resources, libspnav-dev
   - Remove needless build-dep on libwv2-dev
   - koffice-libs recommends create-resources
   - krita recommends pstoedit
   - Add kubuntu_01_kpluginselector_compile.diff from upstream, fixes compile
   - Add kubuntu_02_freetds_library.diff from upstream, fixes support for freetds in Kexi
   - koffice-dev Replaces various apps << 1:2.2.0
   - koffice replaces/conflicts koreport
   - Kexi Replaces: koffice-libs (<< 1:2.2.0-1~pre1ubuntu1)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Jun 2010 14:29:17 +0100

koffice (1:2.2.0-1~pre1) experimental; urgency=low

  * New upstream release, KOffice 2.2:
    - fixes connecters in Kivio not moving back to their old position on undo.
      (Closes: #431581)
    - KWord autocorrection now retains capitalisation when replacing words.
      (Closes: #522132)
    - fixes handling of JPEG files in Krita with unicode characters in path.
      (Closes: #573322)
    - Kivio now allows uninteractive printing from the command line.
      (Closes: #396907)
  
  * Readd Kexi and KFormula (only shape).
  * Update build depends:
    - Add kdelibs5-dev and with kdepimlibs5-dev, update versioned depend to 
      KDE 4.4.3.
    - Replace libkdcraw7-dev with libkdcraw-dev also versioned to KDE 4.4.3.
      (Closes: #580782)
    - Update phonon version to 4:4.6.0really4.4.0, from the new split phonon.
    - Add shared-mime-info.
    - Add libsqlite3-dev, libpq-dev, libpqxx3-dev, libxbase2.0-dev for kexi.
    - Add libgif-dev, libopenjpeg-dev and libfftw3-dev.
  * Update installed files and lintian overrides.
  * Update to Standards-Version 3.8.4, no changes required.
  * Remove README.Debian, koffice 2 is not so unstable anymore.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR, move
    documentation from usr/share/doc/kde4 references to usr/share/doc/kde.

  [ Pino Toscano ]
  * Few touches to the descriptions.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 02 Jun 2010 11:14:48 +0200

koffice (1:2.2.0-0ubuntu2) maverick; urgency=low

  * Add build-dep on shared-mime-info.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 May 2010 09:12:00 +0000

koffice (1:2.2.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Add build-dep on libxbase2.0-dev
  * koffice-dev Replaces various apps << 1:2.2.0
  * Add kubuntu_01_kpluginselector_compile.diff from upstream, fixes compile
  * Add kubuntu_02_freetds_library.diff from upstream, fixes support for freetds in Kexi
  * Add build-dep on freetds-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 May 2010 23:35:44 +0000

koffice (1:2.1.91-0ubuntu1~ppa1) lucid; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Apr 2010 17:44:10 +0200

koffice (1:2.1.82-0ubuntu1) lucid; urgency=low

  * New upstream beta
  * Bump in libs names (form 6 to 7)
  * Changes in *.install files

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 17 Apr 2010 14:42:56 +0200

koffice (1:2.1.81-0ubuntu1) lucid; urgency=low

  * New upstream beta release.
  * Build against 4.4 libs and Qt 4.6.1
  * New koreport package created
  * Added freetds-dev, libfftw3-dev, libgif-dev, libwpg-dev, libpqxx-dev,
    libxdb-dev, libopenjpeg-dev, libwpg-dev
  * Updated install files

 -- Michał Zając <michal.zajac@gmail.com>  Tue, 16 Mar 2010 16:32:46 +0100



=== debian/control ===
Source: koffice
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Raúl Sánchez Siles <rasasi78@gmail.com>
Build-Depends: cdbs, debhelper (>= 7), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.6.4ubuntu5),
 kdelibs5-dev (>= 4:4.4.2), kdepimlibs5-dev (>= 4:4.4.2), libkdcraw8-dev (>= 4:4.4.2), 
 libphonon-dev (>= 4:4.6.0really4.4.0),
 shared-mime-info, 
 libboost-dev, libopenexr-dev, libeigen2-dev (>= 2.0~beta6),
 libqimageblitz-dev, libqca2-dev, libglew1.5-dev,
 libexiv2-dev, libpng12-dev, liblcms1-dev, libtiff4-dev, libjpeg62-dev,
 libgif-dev,
 libmysqlclient-dev, libpoppler-qt4-dev, 
 libgsl0-dev, libwpd8-dev, libwpg-dev,
 libxslt1-dev, libqt4-opengl-dev (>= 4.5.0), 
 pstoedit, libgmm-dev (>= 3.0+svn758845-0ubuntu1), libfftw3-dev,
 libsqlite3-dev, libpq-dev, libpqxx3-dev, libxbase2.0-dev,
 libqtgtl-dev, freetds-dev, create-resources, libspnav-dev
Standards-Version: 3.8.4
Homepage: http://www.koffice.org/

Package: koffice
Architecture: all
Depends: karbon (>= ${source:Version}), kchart (>= ${source:Version}), kplato (>= ${source:Version}),
 kpresenter (>= ${source:Version}), krita (>= ${source:Version}), kspread (>= ${source:Version}),
 kword (>= ${source:Version}), kthesaurus (>= ${source:Version}),
 kexi (>= ${source:Version}), kformula (>= ${source:Version})
Suggests: koffice-doc-html (>= ${source:Version})
Description: KDE Office Suite
 KOffice is an integrated office suite for KDE, the K Desktop
 Environment.  It offers a word processor, spreadsheet, presentation
 program, graphics tools and more.
 .
 This package provides all the components of KOffice.

Package: koffice-doc-html
Architecture: all
Section: doc
Suggests: konqueror | www-browser, koffice
Description: KDE Office Suite documentation in HTML format
 KOffice is an integrated office suite for KDE, the K Desktop
 Environment.  It offers a word processor, spreadsheet, presentation
 program, graphics tools and more.
 .
 By default the KOffice applications only provide their documentation in
 KDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the KOffice documentation converted to HTML
 format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/kde4/HTML/<language>/<app>/, for instance
 /usr/share/doc/kde4/HTML/en/kword/.
 .
 This package is part of the KDE Office Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Replaces: kword (<< 1:2.0.2-1)
Conflicts: kword (<< 1:2.0.2-1)
Homepage: http://www.koffice.org/karbon/
Description: a vector graphics application for the KDE Office Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
  .
  * Loading support for ODG, SVG, WPG, WMF, EPS/PS
  * Writing support for ODG, SVG, PNG, PDF, WMF
  * Customizable user interface with freely placable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilies
  * Various drawing tools for creating path shapes including a draw path
    tool, a pencil tool as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Includes many predefined shapes including basic shapes like stars,
    circle/ellipse, rectangle, image
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the KDE Office Suite.

Package: kchart
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Description: chart drawing components for the KDE Office Suite
 KChart contains the kchart drawing components.  It can be used to embed 
 charts into KOffice documents. 
 .
 This package is part of the KDE Office Suite.
#Description: a chart drawing program for the KDE Office Suite
# KChart is a chart drawing application.  It can be used to embed charts
# into KOffice documents.  KChart is easy to use and highly configurable.
# .
# This package is part of the KDE Office Suite.


Package: kexi
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
#Suggests: kexi-mdb-plugin
Replaces: koffice-libs (<< 1:2.2.0-1~pre1ubuntu1)
Description: integrated database environment for the KDE Office Suite
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 Kexi is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.
 .
 This package is part of the KDE Office Suite.

Package: kformula
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
#Suggests: khelpcenter4, koffice-doc-html
Description: formula drawings for the KDE Office Suite
 KFormula contains the formula drawing components.  It can be used to embed
 formulas into KOffice documents.
 .
 Features include easy Greek letter insertion, intelligent cursor
 movement, advanced syntax highlighting, multi-level undo support,
 LaTeX export and MathML import.
 .
 This package is part of the KDE Office Suite.
 KFormula is a formula editor that provides the basic input facilities
 and the support functionality expected of a KOffice application.
 .
 Features include easy Greek letter insertion, intelligent cursor
 movement, advanced syntax highlighting, multi-level undo support,
 LaTeX export and MathML import.
 .
 This package is part of the KDE Office Suite.

#Package: kivio
#Architecture: any
#Section: graphics
#Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
#Replaces: kivio-data (<< 1:1.9.90)
#Description: a flowcharting program for the KDE Office Suite
# Kivio is a flowcharting program that offers basic flowcharting abilities,
# but with a twist.  Objects are scriptable, and a backend plugin system
# offers the ability to make objects do just about anything.
# .
# This package is part of the KDE Office Suite.

Package: kplato
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Homepage: http://www.koffice.org/kplato/
Description: an integrated project management and planning tool
 KPlato is a project management application, allowing for the planning and
 scheduling of projects.
 .
 This package is part of the KDE Office Suite.


Package: kpresenter
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Replaces: kpresenter-data (<< 1:1.9.90), koffice-libs (<< 1:2.2.0-1~pre1ubuntu1)
Homepage: http://www.koffice.org/kpresenter/
Description: a presentation program for the KDE Office Suite
 KPresenter is an easy to use yet still flexible presentation application. You
 can easily create presentations containing a rich variety of elements, from
 graphics to text, from charts to images. KPresenter is extensible through a
 plugin system, so it is easy to add new effects, new content elements or even
 new ways of managing your presentation.
 KPresenter natively uses the OpenDocument file format standard, for easy
 interchange with all ODF supporting applications which includes Microsoft
 Office. Some examples of easy-to-use features are support for layouts, a
 special slide overview view during presentations for the presenter, support
 for many different master sliders in one presentation, cool transitions and
 a useful notes feature.
 .
 This package is part of the KDE Office Suite.

Package: krita
Architecture: any
Depends: ${shlibs:Depends}, krita-data (>= ${source:Version}), koffice-libs (>= ${source:Version})
Recommends: dcraw, pstoedit
Suggests: khelpcenter4, koffice-doc-html
Replaces: krita-data (<< 1:1.9.98.6)
Homepage: http://www.krita.org/
Description: a pixel-based image manipulation program for the KDE Office Suite
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos, scanned images or start for a blank slate. Krita supports most graphics
 tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 and other offering sophisticated simulation of real brushes, and others again
 offering deforming your image or mixing colors. Moreover, Krita has full 
 support for graphics tablets, including features as pressure, tilt and rate, 
 making it a great choice for artists. There are easy to use tools for drawing 
 lines, ellipses and rectangles, and the freehand tool is supported by pluggable 
 “drawing assistants” that help you draw shapes that still have a freehand 
 feeling to them.
 .
 This package is part of the KDE Office Suite.

Package: krita-data
Architecture: all
Conflicts: krita (<<1:1.9.96.0~that.is.really.1.9.95.10-1)
Replaces: krita (<< 1:2.2.0-1~pre1)
Homepage: http://www.krita.org/
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita,
 the painting program shipped with the KDE Office Suite.
 .
 See the krita package for further information.
 .
 This package is part of the KDE Office Suite.

Package: kspread
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Replaces: koffice-libs (<< 1:2.2.0-1~pre1ubuntu1)
Homepage: http://www.koffice.org/kspread/
Description: a spreadsheet for the KDE Office Suite
 KSpread is a powerful spreadsheet application.  It is scriptable and
 provides both table-oriented sheets and support for complex mathematical
 formulae and statistics.
 .
 This package is part of the KDE Office Suite.

Package: kword
Architecture: any
Depends: ${shlibs:Depends}, kword-data (>= ${source:Version}), koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Replaces: kword-data (<< 1:1.9.98.6), koffice-libs (<< 1:2.2.0-1~pre1ubuntu1)
Homepage: http://www.koffice.org/kword/
Description: a word processor for the KDE Office Suite
 KWord is a FrameMaker-like word processing and desktop publishing
 application.  KWord is capable of creating demanding and professional
 looking documents.  It can be used for desktop publishing, but also for
 "normal" word processing, like writing letters, reports and so on.
 .
 This package is part of the KDE Office Suite.
